-- ----------------------------------------------
-- Sequences
-- ----------------------------------------------

CREATE SEQUENCE "APP"."CACHES_ID_SEQ"
    AS INTEGER
    START WITH 1
    INCREMENT BY 1
    NO CYCLE
;

CREATE SEQUENCE "APP"."TYPES_ID_SEQ"
    AS INTEGER
    START WITH 1
    INCREMENT BY 1
    NO CYCLE
;

-- ----------------------------------------------
-- Tables
-- ----------------------------------------------

CREATE TABLE "APP"."CACHES" ("ID" INTEGER NOT NULL, "NAME" VARCHAR(100), "PATH" VARCHAR(100), "URL" VARCHAR(200), "SIZE" INTEGER DEFAULT 1000, "ACTIVE" BOOLEAN DEFAULT true, "TYPE" INTEGER, "AGE" INTEGER DEFAULT 30);

CREATE TABLE "APP"."CONFIG" ("ID" INTEGER NOT NULL, "NAME" VARCHAR(100), "VALUE" VARCHAR(100));

CREATE TABLE "APP"."TYPES" ("ID" INTEGER NOT NULL, "NAME" VARCHAR(100), "BEANNAME" VARCHAR(100) NOT NULL DEFAULT 'google');

CREATE TABLE "APP"."PROXY" ("ID" INTEGER NOT NULL, "HOST" VARCHAR(250), "USERNAME" VARCHAR(250), "PASSWORD" VARCHAR(250), "PORT" INTEGER, "DIRECTCONNECTION" BOOLEAN DEFAULT true);

-- ----------------------------------------------
-- Keys
-- ----------------------------------------------

ALTER TABLE "APP"."PROXY" ADD CONSTRAINT "PROXY_PK" PRIMARY KEY ("ID");

ALTER TABLE "APP"."TYPES" ADD CONSTRAINT "TYPES_PK" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CONFIG" ADD CONSTRAINT "CONFIG_PK" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CACHES" ADD CONSTRAINT "CACHES_PK" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CACHES" ADD CONSTRAINT "TYPE_FK" FOREIGN KEY ("TYPE") REFERENCES "APP"."TYPES" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

